<?php
$folderPath = 'output'; // Replace with the actual folder path

// Get the current timestamp
$currentTimestamp = time();

// Get the timestamp of one hour ago
$oneHourAgo = strtotime('-1 hour');

// Get all the files in the folder
$files = scandir($folderPath);

// Iterate through each file
foreach ($files as $file) {
  if ($file !== '.' && $file !== '..') {
    $filePath = $folderPath . '/' . $file;

    // Check if the file is an image (you can add more image extensions if needed)
    if (is_file($filePath) && in_array(pathinfo($file, PATHINFO_EXTENSION), ['jpg', 'jpeg', 'png', 'gif', 'bmp', 'gif', 'heic', 'ico', 'svg', 'tiff', 'webp', 'pdf'])) {
      $fileTimestamp = filemtime($filePath);

      // Check if the file is older than one hour
      if ($fileTimestamp < $oneHourAgo) {
        // Delete the file
        unlink($filePath);
      }
    }
  }
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Advance Image Tools - Handy Tools</title>

  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <link rel="stylesheet" href="contents/css/style.css" type="text/css" />
  
  <style>
    @keyframes borderAnimation {
      0% {
        border-color: #fd7e14;
      }
      50% {
        border-color: #aaa;
      }
      100% {
        border-color: #ccc;
      }
    }

    #dropzone {
      border: 2px dashed #ccc;
      border-radius: 10px;
      padding: 20px;
      text-align: center;
      margin-bottom: 20px;
      animation: borderAnimation 2s infinite;
    }

    #process-list {
      margin-bottom: 20px;
    }

    .conv-img-title {
      font-size: 14px;
      padding: 5px;
      color: #333;
    }

    .submit_button {
      width: 100%;
      margin-top: 10px;
      background-color: #fd7e14;
      border: none;
      color: white;
      padding: 10px;
      font-size: 16px;
      cursor: pointer;
    }

    .submit_button:hover {
      background-color: #e67e22;
    }
  </style>

  <div class="adblock-overlay">
    <div class="adblock-overlay-message">
      <h2>Please disable your adblocker</h2>
      <p>We rely on advertising revenue to support this website. Please disable your adblocker and refresh the page to continue.</p>
    </div>
  </div>
</head>
